import os
from setuptools import setup, find_packages

# Declare your non-python data files:
data_files = []
for root, dirs, files in os.walk("configuration"):
    data_files.append(
        (os.path.relpath(root, "configuration"), [os.path.join(root, f) for f in files])
    )

setup(
    name="sagemaker-sql-magic",
    version="0.1",
    description="A SQL magic command for IPython.",
    author="Amazon Web Services",
    url="https://aws.amazon.com/sagemaker",
    package_dir={'': 'src'},
    packages=find_packages(where='src'),
    data_files=data_files,  # include data files
    install_requires=[
        "ipython",
        "pandas"
        # include other dependencies as required
    ],
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: Apache Software License",
        "Operating System :: OS Independent",
    ],
    include_package_data=True,
    zip_safe=False,
    python_requires='>=3.9',
)
