import sqlite3

# Connect to the database (or create it if it doesn't exist)
conn = sqlite3.connect('my_database.db')

# Create a cursor object to execute SQL statements
cursor = conn.cursor()

# Create the table if it doesn't exist
cursor.execute('''
    CREATE TABLE IF NOT EXISTS my_table (
        id INTEGER PRIMARY KEY,
        name TEXT,
        age INTEGER
    )
''')

# Sample data to insert into the table
sample_data = [
    ('John Doe', 25),
    ('Jane Smith', 30),
    ('Michael Johnson', 40)
]

# Insert the sample data into the table
cursor.executemany('INSERT INTO my_table (name, age) VALUES (?, ?)', sample_data)

# Commit the changes and close the connection
conn.commit()
conn.close()

